[arch-commits] Commit in nodejs/repos (3 files)
Felix Yan
felixonmars at archlinux.org
Sat Dec 19 06:27:53 UTC 2020
Date: Saturday, December 19, 2020 @ 06:27:52
Author: felixonmars
Revision: 779751
archrelease: copy trunk to community-staging-x86_64
Added:
nodejs/repos/community-staging-x86_64/
nodejs/repos/community-staging-x86_64/PKGBUILD
(from rev 779750, nodejs/trunk/PKGBUILD)
nodejs/repos/community-staging-x86_64/rebuild.list
(from rev 779750, nodejs/trunk/rebuild.list)
--------------+
PKGBUILD | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
rebuild.list | 2 ++
2 files changed, 59 insertions(+)
Copied: nodejs/repos/community-staging-x86_64/PKGBUILD (from rev 779750, nodejs/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2020-12-19 06:27:52 UTC (rev 779751)
@@ -0,0 +1,57 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=15.4.0
+pkgrel=2
+pkgdesc='Evented I/O for V8 javascript'
+arch=('x86_64')
+url='https://nodejs.org/'
+license=('MIT')
+# c-ares: wait until a newer release than 1.16.1
+depends=('openssl' 'zlib' 'icu' 'libuv' 'libnghttp2') # 'c-ares' 'http-parser' 'v8')
+makedepends=('python' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz")
+sha512sums=('53cfcae9268bffe5a21600594c40e407c34de4bb19b562f37387414a74e8557297810af70ded0b391cc8336c6557fdf6bc3348377bd3e5565f7eb749c9fe85d6')
+
+build() {
+ cd node-$pkgver
+
+ ./configure \
+ --prefix=/usr \
+ --with-intl=system-icu \
+ --without-npm \
+ --shared-openssl \
+ --shared-zlib \
+ --shared-libuv \
+ --experimental-http-parser \
+ --shared-nghttp2
+ # --shared-cares
+ # --shared-v8
+ # --shared-http-parser
+
+ make
+}
+
+check() {
+ cd node-$pkgver
+ make test || :
+}
+
+package() {
+ cd node-$pkgver
+
+ make DESTDIR="$pkgdir" install
+
+ install -D -m644 LICENSE \
+ "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:
Copied: nodejs/repos/community-staging-x86_64/rebuild.list (from rev 779750, nodejs/trunk/rebuild.list)
===================================================================
--- community-staging-x86_64/rebuild.list (rev 0)
+++ community-staging-x86_64/rebuild.list 2020-12-19 06:27:52 UTC (rev 779751)
@@ -0,0 +1,2 @@
+apm
+bash-language-server
More information about the arch-commits
mailing list